* {
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

:root {
  --Pale-blue: #e1e7ff;
  --Bright-blue: hsl(245, 75%, 52%);
  --Very-pale-blue: hsl(225, 100%, 98%);
  --Desaturated-blue: hsl(224, 23%, 55%);
  --Dark-blue: hsl(223, 47%, 23%);
  --dark-purple: #776aee;
  --Payment: #382ae1;
  --Shadow: #e5e3f9;
  --Active: #222d3f;
}
body {
  font-family: RedHatDisplay, sans-serif;
  background-image: url("./assets/pattern-background-desktop.svg");
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-color: var(--Pale-blue);
  overflow-x: hidden;
}
section {
  width: 100%;
  max-width: 1440px;
  height: 600px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.body {
  width: 100%;
  max-width: 350px;
  height: 500px;
  background: var(--Very-pale-blue);
  margin: 0 auto;
  place-items: center;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
  padding: 0 0 1rem 0;
}

.body img {
  height: 170px;
  width: 100%;
}

.informations {
  display: grid;
  place-items: center;
  justify-content: space-between;
  gap: 1rem;
}

.informations p {
  color: var(--Desaturated-blue);
  font-weight: 400;
}

.informations p::first-letter {
  text-transform: capitalize;
}

.informations h1 {
  color: var(--Dark-blue);
  font-weight: 700;
  text-transform: capitalize;
}

.informations h1,
p {
  width: 100%;
  text-align: center;
}

/* anual plan */

.anual-plan {
  width: 80%;
  padding: 15px;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--Pale-blue);
  gap: 10px;
}
.anual-plan img {
  width: 40px;
  height: 40px;
}
.anual-plan .wrapper {
  flex: 1;
  gap: 5px;
  display: grid;
}
.anual-plan .wrapper .plan {
  text-transform: capitalize;
  color: var(--Dark-blue);
  font-weight: 600;
  width: auto;
  text-align: left;
}
.anual-plan .wrapper .year {
  color: var(--Desaturated-blue);
  font-weight: 500;
  width: auto;
  text-align: left;
}
.anual-plan .change {
  text-transform: capitalize;
  color: var(--dark-purple);
  font-weight: 600;
  text-decoration: 1px underline;
  font-size: 14px;
}
.wrapper_button {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
  width: 100%;
  gap: 1rem;
}
.wrapper_button .button__payment {
  width: 85%;
  color: var(--Very-pale-blue);
  padding: 10px;
  border-radius: 10px;
  text-align: center;
  text-transform: capitalize;
  font-weight: 600;
  background-color: var(--Payment);
  border-color: var(--Payment);
  outline: none;
  box-shadow: 0 5px 5px 0 var(--Shadow);
}
.wrapper_button .cancel {
  text-decoration: none;
  font-weight: 600;
  text-transform: capitalize;
  color: var(--Desaturated-blue);
}
.wrapper_button .button__payment:hover,
.cancel :hover {
  transition: 0.5s all;
  opacity: 0.6;
  cursor: pointer;
}
.wrapper_button .cancel:hover {
  transition: 0.5s all;
  color: var(--Active);
}

@media (max-width: 400px) {
  .wrapper_button .button__payment {
    padding: 13px;
  }
}
